
; ========================================================
;			
;    -- GLprotos.inc --
;			- Savage
; ========================================================
  
DM_BITSPERPEL equ 040000h
DM_PELSWIDTH equ 080000h
DM_PELSHEIGHT equ 0100000h

PFD_MAIN_PLANE        equ    0
PFD_TYPE_COLORINDEX    equ    1
PFD_TYPE_RGBA        equ    0
PFD_DOUBLEBUFFER    equ    1
PFD_DRAW_TO_WINDOW    equ    4
PFD_SUPPORT_OPENGL    equ    020h

GLenum				typedef	dword
GLboolean			typedef	dword
GLbitfield			typedef	dword
GLbyte				typedef	byte
GLshort				typedef	word
GLint				typedef	dword
GLsizei				typedef	dword
GLubyte				typedef	byte
GLushort			typedef	word
GLuint				typedef	dword
GLfloat				typedef	real4
GLclampf			typedef	real4
GLdouble			typedef	real8
GLclampd			typedef	real8
GLvoid				typedef	dword
HGLRC 				typedef dword

    


gluPerspective PROTO :REAL8, :REAL8, :REAL8, :REAL8
glClear 	 PROTO :DWORD
glClearAccum PROTO red:REAL4,green:REAL4,blue:REAL4,alpha:REAL4
glClearColor PROTO red:REAL4,green:REAL4,blue:REAL4,alpha:REAL4
glClearDepth PROTO :REAL8
glClearIndex PROTO :REAL4
glViewport	 PROTO x:DWORD, y:DWORD, dwWidth:DWORD, dwHeight:DWORD
wglSwapBuffers PROTO hDC:DWORD
wglMakeCurrent PROTO hDC:DWORD, hRC:DWORD
glMatrixMode  PROTO mode:DWORD
glLoadIdentity PROTO
glShadeModel PROTO mode:DWORD
glEnable PROTO cap:DWORD
glDisable PROTO cap:DWORD
glDepthFunc PROTO func:DWORD
glHint PROTO target:DWORD, mode:DWORD
wglDeleteContext PROTO hRC:DWORD
wglChoosePixelFormat PROTO hDC:DWORD, pfd:DWORD
wglCreateContext PROTO hDC:DWORD
SetPixelFormat PROTO hDC:DWORD, format:DWORD, pfd:DWORD
ChoosePixelFormat  PROTO hDC:DWORD, pfd:DWORD
SwapBuffers  PROTO hDC:DWORD
glTranslatef PROTO x:REAL4, y:REAL4, z:REAL4
glVertex3f PROTO x:REAL4, y:REAL4, z:REAL4
glColor3f PROTO red:REAL4, green:REAL4, blue:REAL4
glColor4f PROTO red:REAL4, green:REAL4, blue:REAL4, alpha:REAL4
glRotatef PROTO angle:REAL4, x:REAL4, y:REAL4, z:REAL4 
glBegin PROTO mode:DWORD
glEnd	PROTO

glGenTextures PROTO n:DWORD, img:DWORD
glBindTexture PROTO target:DWORD, texture:DWORD
glTexImage2D PROTO target:DWORD, level:DWORD, components:DWORD, dwWidth:DWORD, dwHeight:DWORD, border:DWORD, format:DWORD, dwType:DWORD, pixels:DWORD
glTexParameteri PROTO dwTarget:DWORD, dwName:DWORD, dwParam:DWORD
glTexCoord2f PROTO x:DWORD, y:DWORD
glLightfv PROTO dwLight:DWORD, dwName:DWORD, dwParams:DWORD
gluBuild2DMipmaps PROTO dwTarget:DWORD, dwComponents:DWORD, dwWidth:DWORD, dwHeight:DWORD, dwFormat:DWORD,  dwType:DWORD, dwData:DWORD
glNormal3f PROTO x:REAL4, y:REAL4, z:REAL4
glBlendFunc PROTO sFactor:DWORD, dFactor:DWORD